#!/bin/bash

# Autor: Tino Schuldt
# Date: 30.11.2017


# Filename of this script
log_name="config_postgres"

# Load the project functions and configuration 
source ./head_admin.sh

# Function to configure postgres
(
# change the postgres password
/bin/su -l postgres -c "psql -U postgres -d postgres -c \"ALTER USER postgres WITH PASSWORD '$var_postgres_password';\""

# create new user with role superuser
/bin/su -l postgres -c "psql -U postgres -d postgres -c \"CREATE USER $var_db_user WITH PASSWORD '$var_db_password';\""
/bin/su -l postgres -c "psql -U postgres -d postgres -c \"ALTER USER $var_db_user WITH SUPERUSER;\""

# create new database with owner new user
/bin/su -l postgres -c "createdb $var_db_name -O $var_db_user"

) 2>&1 | tee -a $log
