#!/bin/bash

# Autor: Tino Schuldt
# Date: 30.11.2017


# Load the project functions and configuration 
source ../script/load_function.sh
source ../config/install_config.sh

# Set logfile
log="../log/"$(date +"%y%m%d")"_$log_name.log"

# CONDITION: Run as root (sudo)
if [ $(id -u) -ne 0 ]; then
  echo "ERR: This script must be run as root." | tee -a $log
  exit 1
fi
