#!/bin/bash

# Autor: Tino Schuldt
# Date: 30.11.2017
# Info: Installation by source: http://doc.mapbender3.org/en/book/installation/installation_ubuntu.html


# Filename of this script
log_name="install_mapbender3"

# Load the project functions and configuration 
source ./head_admin.sh

# Function to install the packages in the configuration
(
installPackage $pkg_php_gd
installPackage $pkg_php_curl
installPackage $pkg_php_cli
installPackage $pkg_php_xml
installPackage $pkg_php_sqlite
installPackage $pkg_sqlite
installPackage $pkg_php_intl
installPackage $pkg_openssl
installPackage $pkg_php_zip
installPackage $pkg_php_mbstring
installPackage $pkg_php_bz2
installPackage $pkg_php_pgsql

) 2>&1 | tee -a $log
