#!/bin/bash

# Autor: Tino Schuldt
# Date: 30.11.2017


# Filename of this script
log_name="install_mapserver"

# Load the project functions and configuration 
source ./head_admin.sh

# Function to install the packages in the configuration
(
installPackage $pkg_cgi_mapserver
installPackage $pkg_mapserver_bin
installPackage $pkg_mapserver_doc

# Check: Mapserv file in cgi-bin?
if [ ! -e $path_cgi_bin/mapserv ] ; then
  echo "ERR: mapserv is not in the CGI-BIN ($path_cgi_bin) directory."
  exit 1
fi

) 2>&1 | tee -a $log
